Bug 199720 - dns/powerdns-recursor: update to 3.7.2
Summary: dns/powerdns-recursor: update to 3.7.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Brad Davis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-26 19:51 UTC by Ralf van der Enden
Modified: 2015-06-04 13:37 UTC (History)
1 user (show)

See Also:


Attachments
Update to 3.7.2 (1.33 KB, patch)
2015-04-26 19:51 UTC, Ralf van der Enden
no flags Details | Diff
Poudriere buildlog for 3.7.2 (37.17 KB, text/plain)
2015-04-26 19:52 UTC, Ralf van der Enden
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2015-04-26 19:51:41 UTC
Created attachment 156019 [details]
Update to 3.7.2

Update to PowerDNS Recursor 3.7.2

Changelog: https://doc.powerdns.com/md/changelog/#powerdns-recursor-372

Among other bug fixes and improvements (as listed below), this release incorporates a fix for CVE-2015-1868, as detailed in PowerDNS Security Advisory 2015-01 (https://doc.powerdns.com/md/security/powerdns-advisory-2015-01)

Add cpe and make portlint happy by using PKGNAMEPREFIX
Comment 1 Ralf van der Enden 2015-04-26 19:52:07 UTC
Created attachment 156020 [details]
Poudriere buildlog for 3.7.2
Comment 2 commit-hook freebsd_committer 2015-05-01 15:39:30 UTC
A commit references this bug:

Author: brd
Date: Fri May  1 15:39:23 UTC 2015
New revision: 385123
URL: https://svnweb.freebsd.org/changeset/ports/385123

Log:
  - Update dns/powerdns-recursor to 3.7.2
  - Remove an extra blankline from dns/powerdns/distinfo

  PR:		199720
  Submitted by:	Ralf van der Enden
  Approved by:	bdrewery (mentor)
  MFH:		2105Q1
  Security:	64e6006e-f009-11e4-98c6-000c292ee6b8

Changes:
  head/dns/powerdns/distinfo
  head/dns/powerdns-recursor/Makefile
  head/dns/powerdns-recursor/distinfo
  head/dns/powerdns-recursor/files/patch-sendmsg_fix